---
description: "Mark up documents using XML and RDF."
title: "LEAF-Writer"
Last Translated: 2023-07-26
image: /img/documentation/leaf-writer-overview-logo-(c-owner).png
---

<ToolButtons toolName="LEAF-Writer"/>

LEAF-Writer is a web-based editor that allows you to mark up documents using a combination of :Term[Extensible Markup Language (XML)]{#xml} and :Term[Resource Description Framework (RDF)]{#resource-description-framework}. LEAF-Writer’s simple interface makes it ideal for those who are new to :Term[Linked Open Data (LOD)]{#linked-open-data} and :Term[entity matching]{#entity-matching}.

<div className="banner">
  <img src="/img/documentation/leaf-writer-overview-logo-(c-owner).png" alt="" />
</div>

<div className="primary-button-row">
  <PrimaryButton
    link="https://leaf-writer.leaf-vre.org/"
    buttonName="To the Tool"
    />
  <PrimaryButton
    link="/docs/tools/leaf-writer/leaf-writer-documentation"
    buttonName="To the Documentation"
    ></PrimaryButton>
  <PrimaryButton
    link="https://gitlab.com/calincs/cwrc/leaf-writer"
    buttonName="To GitLab"
    />
</div>

## LEAF-Writer and LINCS

LEAF-Writer supports the editing of XML documents and lets you look up and assign identifiers to named :Term[entities]{#entity} (persons, organizations, places, or titles) from a range of :Term[authorities]{#authority-file}.

LEAF-Writer is used to edit and annotate XML documents that are stored either locally or in remote storage, such as the LEAF Islandora 2.0 repository, GitHub, or GitLab. Annotations created with LEAF-Writer can be stored in the annotation database via [LINCS-API](/docs/tools/lincs-api) annotation containers and pushed to the LINCS :Term[triplestore]{#triplestore}.

## Prerequisites

- You do not need to come with your own dataset.
  - LEAF-Writer has four templates that you can use to explore the tool: Blank, Letter, Poem, and Prose.
- You will need to create a [GitLab](https://gitlab.com/) or [GitHub](https://github.com/) account
- A basic understanding of XML, RDF, and entity matching is required.

LEAF-Writer supports the following inputs and outputs:

- **Input:** XML
- **Output:** XML, HTML

Information about the team that developed [LEAF Writer](/docs/about-lincs/credits/tools-credits#leaf-writer) is available on the Tool Credits page.